git-branchless-submit(1)

NAME
submit - Push commits to a remote

SYNOPSIS
submit [-c|--create] [-d|--draft] [-s|--strategy] [--hidden] [-F|--forge] [-m|--message] [-h|--help] [REVSET]

DESCRIPTION
Push commits to a remote

OPTIONS

-c, --create
    If there is no remote branch for a given local branch, create the remote branch by pushing the local branch to the default push remote. You can configure the default push remote with `git config remote.pushDefault <remote>`.

-d, --draft
    If the remote supports it, create code reviews in "draft" mode

-s, --strategy=STRATEGY
    What kind of execution strategy to use for tools which need access to the working copy
    Possible values:

    •   working-copy: Default. Run the tests in the working copy. This requires a clean working copy. This is useful if you want to reuse build artifacts in the current directory

    •   worktree: Run the tests in a separate worktree (managed by git-branchless). This is useful if you want to run tests in parallel, or if you want to run tests on a different commit without invalidating build artifacts in the current directory, or if you want to run tests while your working copy is dirty

--hidden
    Include hidden commits in the results of evaluating revset expressions

-F, --forge=FORGE
    The Git hosting provider to use
    Possible values:

    •   branch: Force-push branches to the default push remote

    •   github: Force-push branches to the remote and create a pull request for each branch using the `gh` command-line tool

    •   phabricator: Submit code reviews to Phabricator using the `arc` command-line tool

-m, --message=MESSAGE
    An optional message to include with the create or update operation

-h, --help
    Print help (see a summary with '-h')

[REVSET] [default: stack()]
    The commits to push. All branches attached to those commits will be pushed